Vercel
API ReferenceMessages

Resolve Task (Async)

Resolves a pending task and processes it in the background. Returns immediately with the assistant message ID. Poll GET /chats/:chatId/messages/:messageId and check `finishReason` to detect completion.

POST/v2/chats/{chatId}/messages/resolve/async

Usage

TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.messages.resolveAsync({  chatId: 'chat_abc123',  task: 'confirmed-steps',})console.log(result)

API Signature

Request

Path Parameters

chatId: string

The unique identifier of the chat.

Request Body

task: 'confirmed-steps' | 'plan-exit-response' | 'answered-questions' | 'confirmed-permissions'

The task resolution data. The latest message in the active chat fork must be an assistant message blocked on the matching task type.

modelConfiguration?: object

Overrides for the model behavior.

modelId: 'v0-auto' | 'v0-mini' | 'v0-pro' | 'v0-max' | 'v0-max-fast'

Model to use for the generation.

imageGenerations: boolean

Enables image generations to generate up to 5 images per version.

Response

messageId: string

ID of the assistant message that will receive the response. Poll GET /chats/:chatId/messages/:messageId and check finishReason for completion.

On this page